Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-87741

setSceneGraphBackend() can't be used in Qt6?

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Invalid
    • Affects Version/s: 6.0.0 Beta1
    • Fix Version/s: None
    • Labels:
      None
    • Environment:
      MSVC2019 Vulkan 1.2
    • Platform/s:
      Windows

      Description

      In order to use QML with a Vulkan Backend with external Vulkan Devices, I used Qt 6.0.0 which allowed me to force QML to run with a Vulkan environment with the function 

      void QQuickWindow::setSceneGraphBackend(QSGRendererInterface::GraphicsApi api)
      

      But since the beta update, all that remains is the Qt 5.8 function 

      void QQuickWindow::setSceneGraphBackend(const QString &backend)
      

       How can I use the 

      QSGRendererInterface::Vulkan

      or

      QSGRendererInterface::VulkanRhi

      enum?

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            lagocs Laszlo Agocs
            Reporter:
            paul.racaniere Paul Racanière
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes